Home v4 via Visual Composer – Electro Documentation

Skip to content

# Home v4 via Visual Composer

Home v4 of Electro is built using Visual Composer.It has 9 elements. The Visual Composer Backend editor of the page look like this

### Home v4 VC Code

Please switch your editor to classic mode and paste the code given here :

After pasting the code, you can simply switch to Backend Editor to view the screen just like in the screenshot above. We have documented this step here :

## The Details

### Page Content

Output

Settings

you can add your own content between existing blocks in home pages. Home pages can be constructed either via Page Attributes ( which is default ) or via Visual Composer ( which can be added easily ).

- Page Attributes : For ex : If you want to add a text box under the Slider with Ads Block, you can adjust the priority of “Page Content” in General block and make it appear after the ad blocks.

### Slider with Ads Block

Output

Setting

- Slider – Choose slider for your page
- Ads

- Image – Upload image for ads block
- Caption Text – Enter the ads block text – Default: Catch Big
  Deals on the Cameras
- Action Text – Enter the ads block button text – Default: Shop now
- Action Link – Enter the URL for the ads block button – Default: #

### Product Carousel Tabs

Output
Setting

- Header Align – Choose the header alignment – Default: center
- Tabs

- Title – Enter Tab title – Default: Featured
- Shortcode – Choose product shortcode – Default: Featured Products
- Limit – Enter the number of products to be displayed. – Default: 8
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC

- Carousel:Items – Enter the number of products to be displayed
- Carousel: Autoplay – Enable/disable to have autoplay option in carousel

### Single Image

Output
Setting

- Widget title – Enter title of the image
- Image source – Select image source – Default: Media library
- Image – Upload image
- Image size – Enter image size – Default: full
- Add caption? – Add image caption.
- Image alignment – Select image alignment.
- Image style – Select image display style.
- On click action – Select action for click action.

### Electro Deal Products Carousel

Output

Setting

- Enter deal header title – Enter title of the image
- Show Header Timer – Enable/disable header timer
- Timer Value – Enter timer value – Default: +8 hours
- Timer Title – Enter timer title – Default: Hurry up! Offer ends in:
- Deal Percentage value – Enter deal percentage value – Default: %
- Shortcode – Choose the product shortcode – Default: Onsale Product
- Number of products to display – Enter the number of products to be displayed – Default: 12
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Carousel:Items – Enter the number of products to be displayed
- Carousel : Show Navigation – Enable / Disable carousel navigation
- Carousel: Show Dots – Enable / Disable carousel dots
- Carousel: Enable Touch Drag – Enable / Disable carousel touch drag
- Carousel: Nav Next Text – Enter carousel nav next text
- Carousel: Nav Prev Text – Enter carousel nav prev text
- Carousel: Margin – Enter carousel margin value
- Carousel: Autoplay – Enable/disable to have autoplay option in carousel

### Products with Categories and Image -1

Output
Setting

- Enter title – Enter title – Default: Smartphones & Tablets
- Shortcode – Choose product shortcode
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Limit – Enter the number of products to display. – Default: 6
- Columns – Enter the number of columns to display. – Deafult: 3
- Product Choice – Choose products either by Ids or SKU
- Product IDs or SKUs – Enter product IDs/SKUs
- Enter categories title – Enter category title – Default: Bestsellers
- Enable Header Categories – Enable/disable categories list on header block.
- Number of Categories to display – Enter number of categories to be displayed – Default: 3
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the product ids
- Include slug’s – Enter categories to be displayed
- Number of Vertical Categories to display – Enter the number of vertical categories to be displayed
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the number of category menu to be displayed – Default: 10
- Include slug’s – Enter the categories menu that should be displayed in the block
- Image – Upload image

### Products with Categories and Image -2

Output

Setting

- Enter title – Enter title – Default: Music Headphones
- Shortcode – Choose product shortcode
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Limit – Enter the number of products to display. – Default: 6
- Columns – Enter the number of columns to display. – Deafult: 3
- Product Choice – Choose products either by Ids or SKU
- Product IDs or SKUs – Enter product IDs/SKUs
- Enter categories title – Enter category title – Default: Bestsellers
- Enable Header Categories – Enable/disable categories list on header block.
- Number of Categories to display – Enter number of categories to be displayed – Default: 3
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the product ids
- Include slug’s – Enter categories to be displayed
- Number of Vertical Categories to display – Enter the number of vertical categories to be displayed
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the number of category menu to be displayed – Default: 10
- Include slug’s – Enter the categories menu that should be displayed in the block
- Image – Upload image

### Product Categories Block

Output

Setting

- Enter title – Enter title – Default: Top Categories this Week
- Enter Columns– Enter number of product columns to be displayed – Default: 4
- Number of Categories to display – Enter the number of categories to be displayed – Default: 8
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include slug’s – Enter category to be displayed in this block
- Include ID’s – Enter catgeory to be displayed by IDs
- Enter class name – Enter extra class name for this block

### Products 6-1 with Categories – 1

Output
Setting

- Enter title – Enter title – Default: Laptops & Computers
- Shortcode – Choose product shortcode
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Limit – Enter the number of products to display. – Default: 6
- Columns – Enter the number of columns to display. – Deafult: 3
- Shortcode Featured – Choose products shortcode
- Product IDs Featured – Enter product IDs/SKUs
- Category Featured – Enter categories to be displayed in this block
- Enter categories title – Enter category title – Default: Bestsellers
- Enable Header Categories – Enable/disable categories list on header block.
- Number of Categories to display – Enter number of categories to be displayed – Default: 3
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the product ids
- Include slug’s – Enter categories to be displayed
- Number of Vertical Categories to display – Enter the number of vertical categories to be displayed
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the number of category menu to be displayed – Default: 10
- Include slug’s – Enter the categories menu that should be displayed in the block

### Products 6-1 with Categories – 2

Output
Setting

- Enter title – Enter title – Default: Home Enternteinment
- Shortcode – Choose product shortcode
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Limit – Enter the number of products to display. – Default: 6
- Columns – Enter the number of columns to display. – Deafult: 3
- Shortcode Featured – Choose products shortcode
- Product IDs Featured – Enter product IDs/SKUs
- Category Featured – Enter categories to be displayed in this block
- Enter categories title – Enter category title – Default: Bestsellers
- Enable Header Categories – Enable/disable categories list on header block.
- Number of Categories to display – Enter number of categories to be displayed – Default: 3
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the product ids
- Include slug’s – Enter categories to be displayed
- Number of Vertical Categories to display – Enter the number of vertical categories to be displayed
- Have no products – Enable/disable categories does not have products
- Orderby – Field name by which the categories should be ordered – Default: date
- Order – Enter the order of the product to be displayed either in Ascending or Descending Order – Deafult: ASC
- Include ID’s – Enter the number of category menu to be displayed – Default: 10
- Include slug’s – Enter the categories menu that should be displayed in the block

###### Contents

- Welcome
- Getting Started
  - Introduction
  - Whats new in 2.0 ?
  - Upgrading from v1.x.x
  - Installation
    - Direct Download & Installation
    - Manual Download & Installation
  - Demo Content
    - One Click Demo Import (Recommended)
    - Manual Import
  - Updating the theme
  - Changelog
- Set Up Pages
  - Home v1 Mobile
    - Home v1 Mobile via Page Template
    - Home v1 Mobile via Visual Composer
  - Home v2 Mobile
    - Home v2 Mobile via Page Template
    - Home v2 Mobile via Visual Composer
  - Home v1
    - Home v1 via Elementor
    - Home v1 via Page Template
    - Home v1 via Visual Composer
  - Home v2
    - Home v2 via Elementor
    - Home v2 via Page Template
    - Home v2 via Visual Composer
  - Home v3
    - Home v3 via Elementor
    - Home v3 via Page Template
    - Home v3 via Visual Composer
  - Home v4
    - Home v4 via Elementor
    - Home v4 via Page Template
    - Home v4 via Visual Composer
  - Home v5
    - Home v5 via Elementor
    - Home v5 via Page Template
    - Home v5 via Visual Composer
  - Home v6
    - Home v6 via Elementor
    - Home v6 via Page Template
    - Home v6 via Visual Composer
  - Home v7
    - Home v7 via Elementor
    - Home v7 via Page Template
    - Home v7 via Visual Composer
  - About
  - Contact v1
  - Contact v2
  - FAQ Page
  - Terms & Conditions
  - Store Directory
  - Wishlist
  - Compare
  - Track your Order
- Blocks & Sidebars
  - Header
  - Sidebars
  - Footer
- Set Up Shop
  - Shop
  - Set Up Products
  - Product Attributes
  - Single Product Page
  - Cart
  - My Account
  - Checkout
  - Track Your Order
- Static Blocks
  - Introduction
  - Recommended Products Cards Carousel
  - Pages Megamenu Item
  - Accessories Jumbotron
  - Mobiles & Tablets Megamenu Item
- Navigation
  - General Guidelines
  - Menus & Locations
  - Creating Megamenus
- Theme Options
  - General
  - Shop
  - Header
  - Footer
  - Mobile
  - Navigation
  - Blog
  - Social Media
  - Styling
  - Typography
  - Custom Code
- Elementor Elements
  - Product Categories List With Header Image
  - Products 1-2 Block
  - Product Categories List
  - Product Categories Block
  - Product Carousel Tabs 1
  - Products 6-1 with Categories
  - Products with Categories and Image
  - List Categories Menus
  - Ads With Banners Block
  - Electro Products List Block
  - Electro Products Carousel 1
  - Electro Nav Menu
  - Electro Mobile Deals Product
  - Recently Viewed Products
  - Deals Products Block
  - Electro Deal Products Carousel
  - Electro Products Carousel with Category Tabs
  - Ad Block
  - Electro Brands Carousel
  - Electro Onsale Product
  - Electro Onsale Products Carousel
  - Electro Products Cards Carousel
  - Electro Products Carousel
  - Electro Team Member
  - Feature Block
  - Product 2-1-2 Grid
  - Product 6-1 Grid
  - Product List Categories
  - Products Carousel Tabs
  - Products Tabs
  - Slider with Ads Block
  - Electro Deal and Products Tabs
- Visual Composer Elements
  - Ads With Banners Block
  - Deals Products Block
  - Electro Mobile Deals Product
  - Electro Nav Menu
  - Electro Products Carousel 1
  - Electro Products List Block
  - List Categories Menus
  - Product Carousel Tabs 1
  - Product Categories Block
  - Product Categories List
  - Product Categories List With Header Image
  - Products 1-2 Block
  - Products 6-1 with Categories
  - Products with Categories and Image
  - Recently Viewed Products
  - Electro Deal Products Carousel
  - Electro Products Carousel with Category Tabs
  - Ad Block
  - Electro Brands Carousel
  - Electro Onsale Product
  - Electro Onsale Products Carousel
  - Electro Products Cards Carousel
  - Electro Products Carousel
  - Electro Team Member
  - Feature Block
  - Product 2-1-2 Grid
  - Product 6-1 Grid
  - Product List Categories
  - Products Carousel Tabs
  - Products Tabs
  - Slider with Ads Block
  - Electro Deal and Products Tabs
- Troubleshooting
  - Home Pages
    - Ads block settings is empty
    - Visual Composer does not work with Home pages
  - Installation
    - The link you followed has expired. Please try again.
- Customisations
  - Shop Page
    - Show Product availability in Grid view
    - Show Product thumbnail above product title and categories
    - Show Brand name in Shop Page
- FAQ
  - General
  - Installation & Updates
  - WooCommerce
  - Translations